GET api/sitecustomerapi/sitecustomersbysite/{siteId}?active={active}&lastUpdate={lastUpdate}&FirstElementIndex={FirstElementIndex}&NumberOfElements={NumberOfElements}&keyword={keyword}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
|
| FirstElementIndex | integer |
None. |
|
| NumberOfElements | integer |
None. |
|
| keyword | string |
None. |
Body Parameters
None.
Response Information
Resource Description
PaginationResultViewModelOfListOfSiteCustomerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| data | Collection of SiteCustomerViewModel |
None. |
|
| totalRecord | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"data": [
{
"active": true,
"code": 2,
"id": "fde2c390-a781-4be5-ba80-17deb8474460",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "b59fbef6-49e7-47aa-a242-1aac5969c5b2"
},
{
"active": true,
"code": 2,
"id": "fde2c390-a781-4be5-ba80-17deb8474460",
"name": "sample string 4",
"remark": "sample string 5",
"site_id": "b59fbef6-49e7-47aa-a242-1aac5969c5b2"
}
],
"totalRecord": 1
}
application/xml, text/xml
Sample:
<paginationResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<data>
<sitecustomer>
<active>true</active>
<code>2</code>
<id>fde2c390-a781-4be5-ba80-17deb8474460</id>
<name>sample string 4</name>
<remark>sample string 5</remark>
<site_id>b59fbef6-49e7-47aa-a242-1aac5969c5b2</site_id>
</sitecustomer>
<sitecustomer>
<active>true</active>
<code>2</code>
<id>fde2c390-a781-4be5-ba80-17deb8474460</id>
<name>sample string 4</name>
<remark>sample string 5</remark>
<site_id>b59fbef6-49e7-47aa-a242-1aac5969c5b2</site_id>
</sitecustomer>
</data>
<totalRecord>1</totalRecord>
</paginationResult>